#
# get_lme_sd_v1.r
#

get.sd.lme <- function(mod) {
  sds <- exp(attr(mod$apVar, "Pars"))
  names(sds) <- c(gsub("reStruct\\.", "", names(sds)[1:2]), "Residual")
  sds
}

get.sd.lmer <- function(mod) {
  vc <- VarCorr(mod)
  sds <- unlist( lapply(vc, function(v) attr(v, "stddev")) )
  names(sds) <- names(vc)
  #NB: SDs are in decreasing order in nested models so ...
  c( rev(sds), Residual=attr(vc, "sc"))
}

